Bug 508266 - Inactive KVM guest memory reporting via 'info' is funky
Inactive KVM guest memory reporting via 'info' is funky
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
: 542522 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 07:32 EDT by Qunfang Zhang
Modified: 2010-03-30 04:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of upstream changset (1.30 KB, text/plain)
2009-12-09 12:18 EST, Cole Robinson
no flags Details

  None (edit)
Description Qunfang Zhang 2009-06-26 07:32:31 EDT
Description of problem:
Changing dom-U's memory abnormally.

Version-Release number of selected component (if applicable):
virt-manager-0.6.1-3.el5

How reproducible:
100%

Steps to Reproduce:
1.Double click the virtual machine, and open the Virtual Machine Detail window.
2.Click the Hardware tab and select “Memory”
3.Change the “Change allocation” to another number but lower than maximum allocation, and click “Apply”.
4.Change the “Maximum allocation” to another number, and click “Apply”.
  
Actual results:
After step3, “Change allocation”  restores to origination.
After step 4, “Current allocation”,“Change allocation” and “Maximum allocation” are all changed to the number I input.

Expected results:
After step 3, the “Change allocation” and “Current allocation” should be changed.
After step 4, the “Maximum allocation” should be changed properly, but “Change    allocation” and “Current allocation” are constant.

Additional info:
Comment 4 Cole Robinson 2009-06-29 13:13:25 EDT
I can't reproduce.

What type of guest is this? KVM, Xen FV, Xen PV? How are you changing the memory values: using the arrows or manually entering a number?
Comment 5 Qunfang Zhang 2009-06-29 21:13:11 EDT
I'm sorry for poor description. The type of guest is KVM. When a virtual machine is forced off, I change the memory values. Both using the arrows and manually entering a number can reproduce this issue.
Comment 6 Mark Xie 2009-06-29 22:40:35 EDT
For both Xen FV and Xen PV, this issue not exists when the guest machine when not running, they always produce the expected result.
When the Xen FV guest running, it works OK too. The "Maximum allocation" can be set freely and it will not effect the "current allocation", the "Change allocation" is not changeable. 
When the Xen PV guest running, "Maximum allocation" can be set freely and it will not effect the "current allocation". The "Change allocation" field can be set to a smaller number than the original memory number which is set at start time, but this number can not change to a larger number than original.
Comment 7 Cole Robinson 2009-06-30 11:01:50 EDT
Okay, pretty sure this is a result of a libvirt issue that I recently fixed upstream:

http://git.et.redhat.com/?p=libvirt.git;a=commitdiff;h=0219fc00cf3fc68eeb8446a512cc7bebb05455b6;hp=2b4bf15f61c950a208b105fe71c6e80b23459c73

Reassigning to libvirt.
Comment 9 Daniel Veillard 2009-07-02 10:55:05 EDT
Okay apparently it's a bit late in the game even for a simple patch like this
and it's not a critical bug, so let's defer it to 5.5,

Daniel
Comment 13 Cole Robinson 2009-10-30 13:00:17 EDT
Link to the upstream commit (with new libvirt.git location):

http://libvirt.org/git/?p=libvirt.git;a=commit;h=387935345c54c586dad323290b46fa122e52f2b0

Fix should be an easy backport.
Comment 14 Cole Robinson 2009-12-09 12:18:02 EST
Created attachment 377249 [details]
Backport of upstream changset

Patch applied cleanly (after dropping Changelog piece) and builds fine.
Comment 15 Cole Robinson 2009-12-13 14:44:47 EST
*** Bug 542522 has been marked as a duplicate of this bug. ***
Comment 16 Daniel Veillard 2009-12-15 10:47:47 EST
libvirt-0.6.3-25.el5 has been built in dist-5E-qu-candidate with the fix,

Daniel
Comment 18 Alex Jia 2009-12-30 01:48:21 EST
This bug has been verified with libvirt 0.6.3-25.el5 on RHEL-5.5. Already
fixed, set status to VERIFIED. 

Steps to Reproduce:
  1) Run virt-manager, open an existing shutoff status guest and go to the Hardware tab
  2) Click "Memory", change "Change allocation" and "Maximum allocation" field value,then click "Apply"

  "Current allocation" field value can change to "Change allocation" field value ,and "Maximum allocation" field value can also be changed successfully. 
    

Version-Release number of selected component (if applicable):
[root@dhcp-66-70-62 ~]# uname -a
Linux dhcp-66-70-62.nay.redhat.com 2.6.18-183.el5 #1 SMP Mon Dec 21 18:37:42
EST 2009 x86_64 x86_64 x86_64 GNU/Linux

[root@dhcp-66-70-62 ~]# lsmod|grep kvm
kvm_intel              86664  0 
kvm                   223648  2 ksm,kvm_intel

[root@dhcp-66-70-62 libvirt]# rpm -qa|grep libvirt
libvirt-python-0.6.3-25.el5
libvirt-0.6.3-25.el5
libvirt-debuginfo-0.6.3-25.el5

[root@dhcp-66-70-62 ~]# rpm -q virt-manager kvm
virt-manager-0.6.1-11.el5
kvm-83-140.el5
Comment 23 errata-xmlrpc 2010-03-30 04:09:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0205.html

Note You need to log in before you can comment on or make changes to this bug.